<Project Sdk="Microsoft.NET.Sdk.Web">
  <PropertyGroup>
	  <TargetFramework>net7.0</TargetFramework>
    <OutputType>Exe</OutputType>
    <GenerateAssemblyInfo>false</GenerateAssemblyInfo>
    <OutputPath>bin\</OutputPath>
    <UserSecretsId>ad233da0-f16a-42df-bcf6-a2f575f2d4e0</UserSecretsId>
    <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
  </PropertyGroup>
  <ItemGroup>
    <Antlr4 Remove="App_Data\**" />
    <Compile Remove="App_Data\**" />
    <Content Remove="App_Data\**" />
    <EmbeddedResource Remove="App_Data\**" />
    <None Remove="App_Data\**" />
  </ItemGroup>
  <ItemGroup>
    <Reference Include="EVCB_OCPP.Domain">
      <HintPath>Dll\EVCB_OCPP.Domain.dll</HintPath>
    </Reference>
    <Reference Include="EVCB_OCPP.Packet, Version=0.1.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>Dll\EVCB_OCPP.Packet.dll</HintPath>
    </Reference>
    <Reference Include="EVCB_OCPP20.Packet, Version=0.1.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>Dll\EVCB_OCPP20.Packet.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Update="Global.asax.cs">
      <DependentUpon>Global.asax</DependentUpon>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <None Update="NLog.xsd">
      <SubType>Designer</SubType>
    </None>
    <Content Update="Web.config">
      <SubType>Designer</SubType>
    </Content>
    <Content Update="Web.Debug.config">
      <DependentUpon>Web.config</DependentUpon>
    </Content>
    <Content Update="Web.Release.config">
      <DependentUpon>Web.config</DependentUpon>
    </Content>
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="bootstrap" Version="5.2.2" />
    <PackageReference Include="Dapper" Version="2.0.123" />
    <PackageReference Include="jQuery" Version="3.6.1" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.Abstractions" Version="2.2.0" />
    <PackageReference Include="Microsoft.CSharp" Version="4.7.0" />
    <PackageReference Include="Microsoft.Data.SqlClient" Version="5.0.1" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="7.0.5" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="7.0.5" />
    <PackageReference Include="Microsoft.Extensions.Http" Version="7.0.0" />
    <PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.17.0" />
    <PackageReference Include="Modernizr" Version="2.8.3" />
    <PackageReference Include="NLog.Extensions.Logging" Version="5.3.4" />
    <PackageReference Include="System.ComponentModel.Annotations" Version="5.0.0" />
    <PackageReference Include="System.Data.DataSetExtensions" Version="4.5.0" />
    <PackageReference Include="System.ServiceModel.Duplex" Version="4.10.0" />
    <PackageReference Include="System.ServiceModel.NetTcp" Version="4.10.0" />
    <PackageReference Include="System.ServiceModel.Federation" Version="4.10.0" />
    <PackageReference Include="Microsoft.DotNet.UpgradeAssistant.Extensions.Default.Analyzers" Version="0.4.355802">
      <PrivateAssets>all</PrivateAssets>
    </PackageReference>
    <PackageReference Include="Antlr4" Version="4.6.6" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="7.0.0" />
  </ItemGroup>
</Project>